{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/userTagsStuff.js" %}'></script>
    <div class="w3-row">
        <div class="">
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-tags fa-lg"></i> {% trans 'Tag list' %} </a>
            </div> 
            
            <div class='tab' id='tags'>
                    <div class="w3-responsive">
                        <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'Displayname' %}</th>
                            <th></th>
                            <th></th>
                        </tr>
                                               
                        {% for tag in userTags %}
                            <tr>
                                <td> {{ tag.displayname }} </td>
                                <td>  <a href="javascript:editTag('{{ owner }}', '{{ tag.uuid }}', '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i></a></td>
                                <td> 
                                    <a href="/user/{{ owner }}/tags/delete/{{ tag.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a>       
                                </td>
                            </tr>    
                        {% endfor %}
                        <tr>
                            <td colspan='4'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addTag').style.display='block'">  <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addTag' %} </button>
                            </td>
                        </tr> 
                        </table>
                    </div>
                </div>
        </div>
    </div>
    
    <!-- Add New Tags -->
    <div id="addTag" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddTag()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/user/tags/add">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Tag Name" name="displayname" required>         
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddTag()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing Tags -->
    <div id="editTag" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelEditTag()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form  class="w3-container"  method="POST"  action="/user/tags/update">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text" id="editDisplayname"  name="displayname" value='' required>

            <input type="hidden"  name='uuid' id='uuid' value=''>
            <input type="hidden"  name='owner' id='owner' value='{{ owner }}'>
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelEditTag()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 

{% endblock %}
